std::isunordered(3)

NAME
std::isunordered - std::isunordered

Synopsis
   Defined in header <cmath>
   bool isunordered( float x, float y ); (1) (since C++11)
                        (constexpr since C++23)
   bool isunordered( double x, double y ); (2) (since C++11)
                        (constexpr since C++23)
   bool isunordered( long double x, long double y ); (3) (since C++11)
                        (constexpr since C++23)
   bool isunordered( Arithmetic x, Arithmetic y ); (4) (since C++11)
                        (constexpr since C++23)
   1-3) Determines if the floating point numbers x and y are unordered, that is, one or
   both are NaN and thus cannot be meaningfully compared with each other.
   4) A set of overloads or a function template for all combinations of arguments of
   arithmetic type not covered by (1-3). If any argument has integral type, it is cast
   to double.

Parameters
   x - floating point value
   y - floating point value

Return value
   true if either x or y is NaN, false otherwise

See also
   fpclassify categorizes the given floating-point value
   (C++11) (function)
   isnan checks if the given number is NaN
   (C++11) (function)